It requires EDGE or above.

Ask a question